### Constructor

# GtkSource Buffer new_with_language

#### Declaration [src]

    GtkSourceBuffer*
    gtk_source_buffer_new_with_language (
      GtkSourceLanguage* language
    )

#### Description [src]

Creates a new source buffer using the highlighting patterns in `language`.

This is equivalent to creating a new source buffer with a new tag table and then calling `gtk_source_buffer_set_language()`.

#### Parameters

`language`

  Type: `GtkSourceLanguage`

  A `GtkSourceLanguage`.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkSourceBuffer`

A new source buffer which will highlight text according to the highlighting patterns in `language`.

The caller of the function takes ownership of the data, and is responsible for freeing it.